/*
 Theme Name:     SA Ez Child
 Description:    SA Ez Child Theme
 Template:       Divi
 Version:        1.0.0
*/
 
 
/* =Theme customization starts here
------------------------------------------------------- */

#regForm.sweti_join_now {
	
	background-color: unset !important;
	
	.plan_names {
		width: 245px;
		height: 245px;
		flex: unset;
	}
	
	.plan-items {
		background: #40C4E0;
		width: 245px;
		height: 245px;
		border-radius: 32px;
		
		.select_button {
			opacity: 0;
		}
	}

}

#step2 .plan_heading_h3 {
		display: none !important;
	}

.plan-feature {
	
	* {
		font-family: 'Montserrat', sans-serif;
		color: #fff;
	}
	
	.plan-title,
	[abcname="Enrollment Fee"],
	[abcname="Prorated First Month Dues or PIF Dues"],
	[abcname="Additional Dues"],
	[abcname="Free Fitness Assessment"],
	[abcname="Member Complimentary Pass"],
	.sweticlubfee,
	.plan-header,
	.sabasiccontainer {
		display: none;
	}
	
	[abcname="Last Month Dues"] {
		
		font-size: 64px !important;
    	font-weight: 700;
		
		[abcname="name"],
		[abcname="tax"],
		[abcname="total"] {
			display: none;
		}
		
		[abcname="subTotal"] {
			position: absolute;
			top: 0;
			left: 0;
			right: 0;
			bottom: 0;
			display: flex;
			justify-content: center;
			align-items: center;
			
			.sabasic_cent {
				display: none;
			}
		}
		
		&::after {
			content: "/Monthly";
			font-size: 20px;
			font-weight: 500;
			position: absolute;
			left: 0;
			right: 0;
			bottom: 20%;
		}
	}
	
}

#regForm .plan-feature:has([sweti_planname*="Annual"]) {
	
	[abcname="Prorated First Month Dues or PIF Dues"] {
		
		display: block;
		
		font-size: 64px !important;
    	font-weight: 700;
		
		[abcname="name"],
		[abcname="tax"],
		[abcname="total"] {
			display: none;
		}
		
		[abcname="subTotal"] {
			position: absolute;
			top: 0;
			left: 0;
			right: 0;
			bottom: 0;
			display: flex;
			justify-content: center;
			align-items: center;
			
			.sabasic_cent {
				display: none;
			}
	
		}
		
		&::after {
			content: "/Annually";
			font-size: 20px;
			font-weight: 500;
			position: absolute;
			left: 0;
			right: 0;
			bottom: 20%;
		}
		
		&::before {
			content: "Save Up To 12.8% Annually!";
			line-height: 100%;
			font-size: 13px;
            color: #ba3131;
            position: absolute;
            left: 0;
            right: 0;
            bottom: 20px;
		}
	}
	
	&::after {
		content: "Paid-In-Full";
		color: #25395f;
	}
}

#regForm .plan-feature:has([sweti_planname*="Registration"])::before {
	content: "NEWPORT AMENITY REGISTRATION";
	position: absolute;
	top: 80px;
	right: 0;
	bottom: 0;
	left: 0;
	margin: auto;
	font-size: 28px;
}

#regForm.sweti_join_now {
	
	#step3, #step4, #step5 {
		.plan-feature {
			display: none;
		}
	
		.plan-items {
			width: 100%;
			height: fit-content;
			
			* {
				color: #fff;
			}
		}
	}
}


/* Plan Specific Customizations */

.plan-feature::before {
	position: absolute;
	top: 45px;
    left: 0;
    right: 0;
    font-size: 24px;
    font-weight: 600;
    color: #fff;
}

.plan-feature:has([sweti_planname*="Resident"])::before {
	content: "Resident";
}

.plan-feature:has([sweti_planname*="Non-Resident"])::before {
	content: "Non-Resident";
}

.plan-feature:has([sweti_planname*="Student"])::before {
	content: "Student";
}

.plan-feature:has([sweti_planname*="Senior"])::before {
	content: "Student & Senior (65+)";
	font-size: 18px;
}

.plan-feature::after {
	position: absolute;
	top: -35px;
    left: 0;
    right: 0;
    font-size: 24px;
    font-weight: 600;
    color: #000;
}

.plan-feature:has([sweti_planname*="MP"])::after {
	content: "Most Popular";
	color: #25395f;
}

.plan-feature:has([sweti_planname*="ST"])::after {
	content: "Standard";
}

.plan-feature:has([sweti_planname*="BP"])::after {
	content: "Best Priced";
}

#regForm p.checkbox-verbiage {
    padding-left: 30px;
}

#regForm button.filter_custom,
#regForm button.btn_prev,
#regForm button.btn_next {
    border-radius: 8px !important;
}

.sweti_join_now .plans_data_wrapper {
	gap: 40px;
}
